Package org.jfree.report.modules.factories.report.base

# Class NodeReadHandlerFactory

java.lang.Object
org.pentaho.reporting.libraries.xmlns.parser.AbstractReadHandlerFactory
org.jfree.report.modules.factories.report.base.NodeReadHandlerFactory

public class NodeReadHandlerFactory extends org.pentaho.reporting.libraries.xmlns.parser.AbstractReadHandlerFactory
Creation-Date: 27.11.2006, 11:48:02

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`NodeReadHandlerFactory()`

## Method Summary

Modifier and Type
Method
Description
`static NodeReadHandlerFactory`
`getInstance()`
`protected Class`
`getTargetClass()`

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractReadHandlerFactory

`configure, getHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NodeReadHandlerFactory

public NodeReadHandlerFactory()

## Method Details

### getTargetClass

protected Class getTargetClass()

Specified by:
  `getTargetClass` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractReadHandlerFactory`

### getInstance

public static NodeReadHandlerFactory getInstance()